package com.qmth.distributed.print.business.bean.dto.approvalForm;

import com.qmth.teachcloud.common.enums.FlowApproveOperationEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 命题任务审批表 - 审批信息
 * @Author: CaoZixuan
 * @Date: 2021-09-06
 */
public class ApprovalInfo {

    @ApiModelProperty(value = "审批人id")
    private Long approveId;

    @ApiModelProperty(value = "审批人名称")
    private String approveName;

    @ApiModelProperty(value = "审批时间")
    private Long time;

    @ApiModelProperty(value = "审批意见（通过 + 备注信息）")
    private String remark;

    @ApiModelProperty(value = "审核级别（2：主任审核、3：院长审核）")
    private int level;

    @ApiModelProperty(value = "审核机构名称")
    private String approveOrgName;

    @ApiModelProperty(value = "审核类型")
    private FlowApproveOperationEnum approveType;

    public Long getApproveId() {
        return approveId;
    }

    public void setApproveId(Long approveId) {
        this.approveId = approveId;
    }

    public String getApproveName() {
        return approveName;
    }

    public void setApproveName(String approveName) {
        this.approveName = approveName;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public String getApproveOrgName() {
        return approveOrgName;
    }

    public void setApproveOrgName(String approveOrgName) {
        this.approveOrgName = approveOrgName;
    }

    public FlowApproveOperationEnum getApproveType() {
        return approveType;
    }

    public void setApproveType(FlowApproveOperationEnum approveType) {
        this.approveType = approveType;
    }
}
